Subject: RE: [AAA-WG]: Extensions that Diameter servers MUST support

From: "Carolina Canales Valenzuela (ECE)" <[email-masked]>
Date: Thu, 17 May 2001 09:34:33 +0200

> 
> 
> 
> The purpose of a routing proxy is to forward packets. It 
> doesn't need to
> "implement" any functionality except that required for 
> forwarding. Such
> a proxy does *not* act as a AAA client or server. If
> the AVPs required for forwarding were available in the same location
> for all messages then the routing proxy would have no need to even
> understand the semantics of the messages.

That's what I think.

 This is why 
> protocols like SIP
> put the routing info right up at the top of the header -- so 
> the proxy can
> manipulate it easily. These are the kind of benefits that you get from
> proper protocol layering.
> 
> To fix this issue, I think we need to clearly distinguish the 
> behavior of
> various types of proxies and define their behavior in the spec.

Yes, I think that the paragraph I mentioned is a little bit confusing specially because of that "MUST" 
> 
>The problem is in the terminology. Redirects, Forwarders (e.g. routing
>proxies), and true application layer gateways (e.g. DIAMETER to RADIUS,
>etc.) behave differently. The last category definitely *do* need to
>support extensions, the others don't.

I understand and fully agree with this.

 I think we need to make this clear.> 

Further clarification would be very much appreciated.
Thank you very much for your help,
Carolina